For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workflows
      • POSTCreate Workflow
      • GETGet Workflow
      • PUTUpdate Workflow
      • DELDelete Workflow
      • PATCHPatch Workflow
      • GETList Workflow Uploads
      • POSTPreview Run
      • GETRuns Summary
      • GETGet Run Steps
      • GETGet Run Overview
      • GETGet Run Data
      • GETDownload Run
      • GETDownload Run Node
      • POSTDuplicate Workflow
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkflows

Delete Workflow

DELETE
/api/v1/workflows/:workflow_id
DELETE
/api/v1/workflows/:workflow_id
$curl -X DELETE https://api.onepin.ai/api/v1/workflows/workflow_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {},
3 "meta": {
4 "request_id": "a3f47c9e-8b2d-4f1a-9c3e-2d5b7f6a1e4c",
5 "timestamp": "2024-01-15T09:30:00Z"
6 }
7}

Soft-delete a workflow.

Was this page helpful?
Previous

Patch Workflow

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token
OR
AuthorizationBearer

Onepin live API key (op_live_...). Test and public keys are reserved in Phase 1.

Path parameters

workflow_idstringRequiredformat: "uuid"

Headers

X-Workspace-Idstring or nullOptional

Response

Successful Response
datamap from strings to any
metaobject

Errors

422
Unprocessable Entity Error